Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063283 - internal_dev_setup option is not used in all places
Summary: internal_dev_setup option is not used in all places
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-10 12:03 UTC by Tomas Kopecek
Modified: 2014-04-19 09:21 UTC (History)
2 users (show)

Fixed In Version: mock-1.1.38-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-09 13:20:46 UTC


Attachments (Terms of Use)
initial patch (deleted)
2014-02-10 12:03 UTC, Tomas Kopecek
no flags Details | Diff

Description Tomas Kopecek 2014-02-10 12:03:12 UTC
Created attachment 861368 [details]
initial patch

Option is used just for one call from four. It should be honored in all places. I'm proposing to put its checking inside _setupDev function, see patch.

Comment 1 Clark Williams 2014-03-28 15:04:35 UTC
Oh that's a good one. I'll pull this for the next release.

Comment 2 Clark Williams 2014-03-28 15:06:44 UTC
Actually, I already pulled this and it's in the 1.1.38 that's queued for testing.

Comment 3 Fedora Update System 2014-03-28 15:09:36 UTC
mock-1.1.37-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.37-2.el6

Comment 4 Fedora Update System 2014-03-28 15:11:10 UTC
mock-1.1.37-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.37-2.fc20

Comment 5 Fedora Update System 2014-03-28 15:11:42 UTC
mock-1.1.37-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.37-2.fc19

Comment 6 Fedora Update System 2014-03-29 19:18:05 UTC
Package mock-1.1.37-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.1.37-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0999/mock-1.1.37-2.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-03-31 19:06:13 UTC
mock-1.1.38-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.38-1.fc19

Comment 8 Fedora Update System 2014-03-31 19:08:12 UTC
mock-1.1.38-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.38-1.el6

Comment 9 Fedora Update System 2014-03-31 19:10:19 UTC
mock-1.1.38-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.38-1.fc20

Comment 10 Fedora Update System 2014-04-09 13:20:46 UTC
mock-1.1.38-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-04-18 15:39:18 UTC
mock-1.1.38-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-04-19 09:21:30 UTC
mock-1.1.38-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.